Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157207 - sytem-config-bind rpm build fails when 'named' group doesn't exist
Summary: sytem-config-bind rpm build fails when 'named' group doesn't exist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-bind
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 12:56 UTC by Matthew Miller
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.0.0-16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 10:21:19 UTC


Attachments (Terms of Use)

Description Matthew Miller 2005-05-09 12:56:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 BU Linux/1.0.3-1.3.1bu45.3 Firefox/1.0.3

Description of problem:
The 'named' user and group are created by the bind package. So if you try
to rebuild this on a machine that doesn't have bind installed, you get:


make[1]: Leaving directory `/home/jeffr/rpmbuild/BUILD/system-config-bind-4.0.0/po'
for f in *.py ; do                                                           \
  mkdir -p
/home/jeffr/tmp/system-config-bind-4.0.0-12bu45.1-root/usr/share/system-config-bind;
                                  \
  install -p -o root -g named -m 0754 *.py *.py[co] system-config-bind.glade
/home/jeffr/tmp/system-config-bind-4.0.0-12bu45.1-root/usr/share/system-config-bind;
\
done
install: invalid group `named'
.
.
.
make: *** [install] Error 1


An easy fix would be to make bind a buildrequires, but that seems a bit off. Maybe it'd be better to just make it not try to set the owner and group, which won't work anyway when not building as root.

Version-Release number of selected component (if applicable):
system-config-bind-4.0.0-12

How reproducible:
Always

Steps to Reproduce:
1. try to rebuild rpm when bind hasn't been installed
  

Actual Results:  Fails as above.

Expected Results:  Should build.

Additional info:

Comment 1 Jason Vas Dias 2005-05-10 01:34:30 UTC
This is now resolved with s-c-b-4.0.0-16_FC4 .

Comment 2 Walter Justen 2005-08-19 10:21:19 UTC
update package is published


Note You need to log in before you can comment on or make changes to this bug.